View Issue Details

IDProjectCategoryView StatusLast Update
0015370Buildsyscommunity buildsyspublic2018-11-19 20:21
Reportertfherbert 
PrioritynormalSeveritymajorReproducibilityN/A
Status resolvedResolutionfixed 
Summary0015370: NFV SIG: Need to build vpp with toolset-7 cmake and ninja
DescriptionWe have now new build dependencies for vpp as of version 18.10 soon to be released.

devtoolset-7
cmake3
ninja-build

devtoolset-7 is in sclo
cmake3 and ninja-build are in epel.

I have verified that I can build with these tools and run vpp rpms on standard updated Centos.


Additional InformationShould I build and tag cmake3 and ninja-build for NFV-SIG common destination or should be be installed on cbs along with devtoolset-7?
TagsNo tags attached.

Activities

bstinson

bstinson

2018-11-19 20:21

administrator   ~0033131

I added the external repo for this. You should modify your spec files like this to BuildRequire the proper thing, and to activate the collection:

http://smoogespace.blogspot.com/2018/03/using-red-hat-developer-toolset-dts-in.html

(This article is for EPEL, but the same principle applies)

Issue History

Date Modified Username Field Change
2018-10-11 20:00 tfherbert New Issue
2018-10-15 14:24 bstinson Status new => acknowledged
2018-11-19 20:21 bstinson Status acknowledged => resolved
2018-11-19 20:21 bstinson Resolution open => fixed
2018-11-19 20:21 bstinson Note Added: 0033131